// ==UserScript==
// @name          bbc-unity-integration
// @include       http://www.bbc.co.uk/news/
// @version       0.9
// @author        WebApps Team
// ==/UserScript==

function isCorrectPage() {
    var i, ids = ['tickerHolder'];

    for (i = 0; i < ids.length; i++) {
        if (!document.getElementById(ids[i])) {
            return false;
        }
    }
    return true;
}

function messagingIndicatorSetup() {
    var recent = document.getElementById('tickerHolder');

    recent.addEventListener('DOMSubtreeModified', function () {
        var title = null, node = document.evaluate('div/div/p/a', recent, null, XPathResult.ANY_UNORDERED_NODE_TYPE, null).singleNodeValue;

        if (node) {
            title = node.textContent;
        }

        if (title && !localStorage.getItem(title)) {
            localStorage.setItem(title, true);
            Unity.Notification.showNotification("BBC", title, null);
        }
    }, false);
}

if (isCorrectPage()) {
    Unity.toDataURL('http://news.bbcimg.co.uk/img/1_0_1/cream/hi/news/news-blocks.gif', function (aResult, uri) {
        Unity.init({ name: "BBC News",
                     iconUrl: uri,
		     onInit: messagingIndicatorSetup });
    });
}
