// ==UserScript==
// @name          facebook-unity-integration
// @include       http://www.facebook.com/*
// @include       https://www.facebook.com/*
// @version       0.9
// @author        WebApps Team
// @require       utils.js
// ==/UserScript==

function isCorrectPage() {
    var i, ids = ['messagesCountValue'];

    for (i = 0; i < ids.length; i++) {
        if (!document.getElementById(ids[i])) {
            return false;
        }
    }

    return true;
}

function messagingIndicatorSetup() {
    var countElement = document.getElementById('messagesCountValue');
    function checkMessangesCount() {
        var count = countElement.textContent;

        Unity.MessagingIndicator.showIndicator(_("Messages"), { count: count });
    }

    countElement.addEventListener('DOMSubtreeModified', checkMessangesCount, false);

    checkMessangesCount();
}

if (isCorrectPage()) {
    Unity.toDataURL('http://static.ak.fbcdn.net/rsrc.php/v1/yO/r/OuziOid04jS.png', function (aResult, uri) {
        Unity.init({ name: "facebook",
                     iconUrl: uri,
                     onInit: messagingIndicatorSetup });
    }, 0, 150, 103, 31);
}

