// ==UserScript==
// @name           launchpad-unity-integration
// @include        https://*.launchpad.net/*
// @include        https://launchpad.net/*
// @version        0.9
// @author         WebApps Team
// @require        utils.js
// ==/UserScript==

function unityLoaded() {
    var uri = unsafeWindow.location.toString();

    try {
        var title = uri.match(/^https:\/\/[^\/]+\/[^\/]+\/?/i)[0]
            .match('\/[^/]+\/?$')[0].match(/[^\/]+/)[0];

        var link = 'https://launchpad.net/' + title;
        linkVisited(link, title);
    } catch (x) {}

    addFavoritesInLauncher();
}

Unity.init({ name: "Launchpad",
             domain: 'launchpad.net',
             iconUrl: 'https://launchpad.net/@@/launchpad-logo',
             onInit: unityLoaded });
