// ==UserScript==
// @name          qq-unity-integration
// @include       http://*.mail.qq.com/cgi-bin/*
// @include       https://*.mail.qq.com/cgi-bin/*
// @version       0.9
// @author        WebApps Team
// @require       utils.js
// ==/UserScript==

function isCorrectPage() {
    var i, ids = ['folder_1'];

    for (i = 0; i < ids.length; i++) {
        if (!document.getElementById(ids[i])) {
            return false;
        }
    }

    return true;
}

function messagingIndicatorSetup() {
    var container = document.getElementById('leftPanel');

    function checkMessangesCount() {
        var countElement = document.getElementById('folder_1');
        var count = countElement.textContent.match(/\d+/);

        if (count === null) {
            count = '0';
        } else {
            count = count[0];
        }

        Unity.MessagingIndicator.showIndicator(_("Inbox"), { count: count });
    }

    container.addEventListener('DOMSubtreeModified', checkMessangesCount, false);

    checkMessangesCount();
}

if (isCorrectPage()) {
    Unity.init({ name: 'QQ',
                 iconUrl: 'http://r99.res.qqmail.com/zh_CN/htmledition/images/logo/logo_0_00aae79.gif',
                 onInit: messagingIndicatorSetup });
}
