// ==UserScript==
// @name           Reddit Unity
// @namespace      RedditUnity
// @include        http://*.reddit.com/
// @include        http://reddit.com/*
// @include        http://*.reddit.com/*
// @version        0.9
// @author         WebApps Team
// @require        utils.js
// ==/UserScript==

function isCorrectPage() {
    var i, ids = ['sr-header-area', 'jumpToContent', 'mail'];

    for (i = 0; i < ids.length; i++) {
        if (!document.getElementById(ids[i])) {
            return false;
        }
    }

    return true;
}

function onInit() {
    if (!document.getElementsByClassName("havemail")[0]) {
        Unity.MessagingIndicator.showIndicator(_("Inbox"), {time: new Date()});
    }

    Unity.MessagingIndicator.addAction(_("Compose New Message"),
                                       makeRedirector("http://www.reddit.com/message/compose/"));
}

if (isCorrectPage()) {
    Unity.init({ name: "reddit",
                 iconUrl: "http://i.imgur.com/fxDkb.png",
                 onInit: onInit });
}


