// ==UserScript==
// @name          yahoo-mail-unity-integration
// @include       http://*.mail.yahoo.com/*
// @include       https://*.mail.yahoo.com/*
// @version       0.9
// @author        WebApps Team
// @require       utils.js
// ==/UserScript==

function isCorrectPage() {
    var i, ids = ['inbox-count', 'Inbox'];

    for (i = 0; i < ids.length; i++) {
        if (!document.getElementById(ids[i])) {
            return false;
        }
    }

    return true;
}

function messagingIndicatorSetup() {
    var container = document.getElementById('Inbox');
    function checkMessangesCount() {
        var count = document.getElementById('inbox-count').textContent;

        if (!count.length) {
            count = '0';
        }

        Unity.MessagingIndicator.showIndicator(_("Inbox"), { count: count });
    }

    container.addEventListener('DOMSubtreeModified', checkMessangesCount, false);

    checkMessangesCount();
}

if (isCorrectPage()) {
    Unity.init({ name: "Yahoo",
                 iconUrl: 'http://l.yimg.com/a/i/ww/met/yahoo_logo_us_061509.png',
                 onInit: messagingIndicatorSetup });
}
