// ==UserScript==
// @name          mail-ru-integration
// @include       http://*.mail.ru/*
// @include       http://mail.ru/
// @version       0.9
// @author        WebApps Team
// @require       utils.js
// ==/UserScript==

function isCorrectPage() {
    var i, ids = ['g_mail_events'];

    for (i = 0; i < ids.length; i++) {
        if (!document.getElementById(ids[i])) {
            return false;
        }
    }

    if (parent !== window) {
        return false;
    }

    return true;
}

function messagingIndicatorSetup() {
    var countElement = document.getElementById('g_mail_events');
    function checkMessangesCount() {
        var count = countElement.textContent;

        Unity.MessagingIndicator.showIndicator(_("Inbox"), { count: count });
    }

    countElement.addEventListener('DOMSubtreeModified', checkMessangesCount, false);

    checkMessangesCount();
}

if (isCorrectPage()) {
    Unity.toDataURL('http://img.imgsmail.ru/r/portal/portal-menu/logo-mailru.png', function (aResult, uri) {
        Unity.init({ name: _("mail.ru"),
                     iconUrl: uri,
                     onInit: messagingIndicatorSetup });
    });
}

