// ==UserScript==
// @name          yahoo-news-unity-integration
// @include       http://news.yahoo.com/
// @include       http://mx.noticias.yahoo.com/
// @include       http://es.noticias.yahoo.com/
// @version       0.9
// @author        WebApps Team
// @require       utils.js
// ==/UserScript==

function isCorrectPage() {
    if (!document.getElementById('mediablistmixedmostpopularca') && !document.getElementById('mediamostpopular')) {
        return false;
    }

    return true;
}

function messagingIndicatorSetup() {
    var i, res = document.evaluate('//*[@id="mediamostpopular"]/div[@class="bd"]/ul/li/div/a', document, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE, null);

    if (!res.snapshotLength) {
        res = document.evaluate('//*[@id="mediablistmixedmostpopularca"]/div[@class="bd"]/ul/li/div/a', document, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE, null);
    }

    for (i = 0; i < res.snapshotLength; i++) {
        var node = res.snapshotItem(i);
        var title = node.textContent;

        if (!localStorage.getItem(title)) {
            localStorage.setItem(title, true);
            Unity.Notification.showNotification(_("Yahoo News"), title, null);
        }
    }
}

if (isCorrectPage()) {
    Unity.toDataURL('http://upload.wikimedia.org/wikipedia/commons/d/d2/Yahoo%21News.png', function (aResult, uri) {
        Unity.init({ name: _("Yahoo News"),
                     iconUrl: uri,
		     onInit: messagingIndicatorSetup });
    });
}
