// ==UserScript==
// @name          yandex-mail-unity-integration
// @include       http://mail.yandex.*/*
// @include       https://mail.yandex.*/*
// @version       0.9
// @author        WebApps Team
// @require       utils.js
// ==/UserScript==

function isCorrectPage() {
    if (!document.getElementsByClassName('b-page__content')[0]) {
        return false;
    }

    return true;
}

function messagingIndicatorSetup() {

    var container = document.getElementsByClassName('b-page__content')[0];
    function checkMessangesCount() {

        var title = '';
        var count = '0';
        var countElement = document.getElementsByClassName('b-label b-label_unread lid-only_new b-label_selected')[0];

        if (!countElement) {
            countElement = document.getElementsByClassName('b-label b-label_unread lid-only_new')[0];
        }

        if (!countElement) {
            return;
        }

        count = countElement.lastChild.textContent;
        if (count.match(/^\d+$/)) {
            count = '0';
        }

        Unity.MessagingIndicator.showIndicator(_("Inbox"), { count: count });
    }

    container.addEventListener('DOMSubtreeModified', checkMessangesCount, false);

    checkMessangesCount();
}

if (isCorrectPage()) {
    Unity.init({ name: _("Yandex"),
                 iconUrl: 'http://mailstatic.yandex.net/stamp/1.70/ny-ru-01.png',
                 onInit: messagingIndicatorSetup });
}

